package javax.swing.plaf.synth;

import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;
import sun.swing.DefaultLookup;

class SynthDefaultLookup extends DefaultLookup
{
    SynthDefaultLookup() {
    }
    
    @Override
    public Object getDefault(JComponent c, ComponentUI ui, String key) {
        if (!(ui instanceof SynthUI)) {
            return super.getDefault(c, ui, key);
        }
        SynthContext context = ((SynthUI)ui).getContext(c);
        Object value = context.getStyle().get(context, key);
        context.dispose();
        return value;
    }
}
